WindowUtils.RepaintTrigger.Listener (JNA API)
Description: declaration: package: com.sun.jna.platform, class: WindowUtils, class: RepaintTrigger, class: Listener

Package com.sun.jna.platform

# Class WindowUtils.RepaintTrigger.Listener

java.lang.Object
java.awt.event.WindowAdapter
com.sun.jna.platform.WindowUtils.RepaintTrigger.Listener

All Implemented Interfaces:
  `AWTEventListener`, `ComponentListener`, `HierarchyListener`, `WindowFocusListener`, `WindowListener`, `WindowStateListener`, `EventListener`

Enclosing class:
  WindowUtils.RepaintTrigger

protected class WindowUtils.RepaintTrigger.Listener extends WindowAdapter implements ComponentListener, HierarchyListener, AWTEventListener

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Listener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `componentHidden(ComponentEvent e)`
  `void`
  `componentMoved(ComponentEvent e)`
  `void`
  `componentResized(ComponentEvent e)`
  `void`
  `componentShown(ComponentEvent e)`
  `void`
  `eventDispatched(AWTEvent e)`
  `void`
  `hierarchyChanged(HierarchyEvent e)`
  `void`
  `windowOpened(WindowEvent e)`

  ### Methods inherited from class java.awt.event.WindowAdapter

  `windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowStateChanged`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Listener

    protected Listener()

- ## Method Details

  - ### windowOpened

    public void windowOpened(WindowEvent e)
    Specified by:
      `windowOpened` in interface `WindowListener`
    Overrides:
      `windowOpened` in class `WindowAdapter`

  - ### componentHidden

    public void componentHidden(ComponentEvent e)
    Specified by:
      `componentHidden` in interface `ComponentListener`

  - ### componentMoved

    public void componentMoved(ComponentEvent e)
    Specified by:
      `componentMoved` in interface `ComponentListener`

  - ### componentResized

    public void componentResized(ComponentEvent e)
    Specified by:
      `componentResized` in interface `ComponentListener`

  - ### componentShown

    public void componentShown(ComponentEvent e)
    Specified by:
      `componentShown` in interface `ComponentListener`

  - ### hierarchyChanged

    public void hierarchyChanged(HierarchyEvent e)
    Specified by:
      `hierarchyChanged` in interface `HierarchyListener`

  - ### eventDispatched

    public void eventDispatched(AWTEvent e)
    Specified by:
      `eventDispatched` in interface `AWTEventListener`